package com.ruoyi.web.modules.finance.domain;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 店铺资金流水 biz_shop_fund_log
 */
public class BizShopFundLog
{
    private Long logId;

    private Long shopId;

    private String shopName;

    private String bizNo;

    private String changeReason;

    private BigDecimal balanceChange;

    private BigDecimal balanceAfter;

    private BigDecimal frozenChange;

    private BigDecimal frozenAfter;

    private String refType;

    private Long refId;

    private Date createTime;

    public Long getLogId()
    {
        return logId;
    }

    public void setLogId(Long logId)
    {
        this.logId = logId;
    }

    public Long getShopId()
    {
        return shopId;
    }

    public void setShopId(Long shopId)
    {
        this.shopId = shopId;
    }

    public String getShopName()
    {
        return shopName;
    }

    public void setShopName(String shopName)
    {
        this.shopName = shopName;
    }

    public String getBizNo()
    {
        return bizNo;
    }

    public void setBizNo(String bizNo)
    {
        this.bizNo = bizNo;
    }

    public String getChangeReason()
    {
        return changeReason;
    }

    public void setChangeReason(String changeReason)
    {
        this.changeReason = changeReason;
    }

    public BigDecimal getBalanceChange()
    {
        return balanceChange;
    }

    public void setBalanceChange(BigDecimal balanceChange)
    {
        this.balanceChange = balanceChange;
    }

    public BigDecimal getBalanceAfter()
    {
        return balanceAfter;
    }

    public void setBalanceAfter(BigDecimal balanceAfter)
    {
        this.balanceAfter = balanceAfter;
    }

    public BigDecimal getFrozenChange()
    {
        return frozenChange;
    }

    public void setFrozenChange(BigDecimal frozenChange)
    {
        this.frozenChange = frozenChange;
    }

    public BigDecimal getFrozenAfter()
    {
        return frozenAfter;
    }

    public void setFrozenAfter(BigDecimal frozenAfter)
    {
        this.frozenAfter = frozenAfter;
    }

    public String getRefType()
    {
        return refType;
    }

    public void setRefType(String refType)
    {
        this.refType = refType;
    }

    public Long getRefId()
    {
        return refId;
    }

    public void setRefId(Long refId)
    {
        this.refId = refId;
    }

    public Date getCreateTime()
    {
        return createTime;
    }

    public void setCreateTime(Date createTime)
    {
        this.createTime = createTime;
    }
}
